Subject: Re: booting kernel on EBSA285

From: "Paul Robertson" <[email-masked]>
Date: Mon, 15 Nov 1999 13:08:41 -0000

Thanks once again,

The kernel is failing with:
...
RAM disk driver initialized:  16 RAM disks of 4096K size
<0>Kernel panic: VFS: Unable to mount root fs on 01:00
...

I'm afraid I need more help with this.

Can the kernel load my compressed ramdisk image from EBSA285 Flash. If so,
then what kernel parameters to set?

Otherwise, should I load the compressed ramdisk image to RAM ? If so, then
what RAM address, and what kernel parameters?

Paul Robertson
LocSoft Limited
"The key to your embedded solutions"
www.locsoft.com
Phone +44 (0) 1793 432557
Fax     +44 (0) 1793 432727

-----Original Message-----
From: Russell King - ARM Linux Admin <[email-masked]>
To: Paul Robertson <[email-masked]>
Cc: [email-masked]
<[email-masked]>
Date: Friday, November 12, 1999 9:58 AM
Subject: Re: booting kernel on EBSA285

Ok, here is a "generic" way of finding out what's going wrong...

Do a make config (or menuconfig or xconfig depending on your taste).  You
should
find an option called CONFIG_DEBUG_LL (Kernel low-level debugging
functions).
Turn this on.  Also, turn on CONFIG_DEBUG_DC21285_PORT
(Kernel low-level debugging messages via DC21285 port).  Then, add into
kernel/printk.c a "printascii(buf+3) as shown below:

        va_start(args, fmt);
        i = vsprintf(buf + 3, fmt, args); /* hopefully i < sizeof(buf)-4 */
        buf_end = buf + 3 + i;
        va_end(args);
printascii(buf+3);
        for (p = buf + 3; p < buf_end; p++) {

You can add other printascii(), printhex() etc calls in start_kernel if you
so desire to find out where it's going wrong.

The above will write messages passed to printk() to the DC21285's serial
port
before the kernel initialises any console.

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]